import { IRgbaNode, Mat4Node, Vec4Node } from '..';
export declare function outputPosition(position: Vec4Node): Vec4Node;
export interface ShaderGraphOptions {
    alphaTest: number;
}
export declare class ShaderGraph {
    private readonly out;
    private options;
    constructor(out: {
        readonly color: IRgbaNode;
        readonly transform: Mat4Node;
    }, options?: ShaderGraphOptions);
    compile(): {
        vertexShader: string;
        fragmentShader: string;
        uniforms: {
            [key: string]: {
                value: unknown;
            };
        };
    };
}
