import { Compiler } from './compiler';
import { BooleanNode, FloatNode, IntNode, Mat2Node, Mat3Node, Mat4Node, RgbaNode, RgbNode, Vec2Node, Vec3Node, Vec4Node } from './types';
export declare class IntExpressionNode extends IntNode {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class FloatExpressionNode extends FloatNode {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Vec2ExpressionNode extends Vec2Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Vec3ExpressionNode extends Vec3Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Vec4ExpressionNode extends Vec4Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Mat2ExpressionNode extends Mat2Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Mat3ExpressionNode extends Mat3Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class Mat4ExpressionNode extends Mat4Node {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class RgbExpression extends RgbNode {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class RgbaExpression extends RgbaNode {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
export declare class BooleanExpression extends BooleanNode {
    private readonly expr;
    constructor(expr: string);
    compile(c: Compiler): {
        out: string;
    };
}
